package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilBatchInfacotry;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface DilBatchInfacotryMapper extends IBaseMapper<DilBatchInfacotry, BigDecimal> {
    //获取主键id
    @Select("select seq_DIL_BATCH_INFACOTRY.nextval from dual")
    BigDecimal selectDilBatchId();


    //校验新旧批次
    Map<String,Object> checkForBind(Map<String,Object> map);

    //修改批次中间表绑定的批次
    int updateForBind(Map<String,Object> map);
}