package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class TmsshipControlLine implements IBasePO<Short> {
    @ApiModelProperty(value="",required=true)
    private Short resultId;

    @ApiModelProperty(value="",required=false)
    private Date lineDate;

    @ApiModelProperty(value="",required=false)
    private Short up;

    @ApiModelProperty(value="",required=false)
    private Short down;

    @ApiModelProperty(value="",required=false)
    private Short count;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.resultId;
    }

    @Override
    public void setId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getResultId() {
        return resultId;
    }

    public void setResultId(Short resultId) {
        this.resultId = resultId;
    }

    public Date getLineDate() {
        return lineDate;
    }

    public void setLineDate(Date lineDate) {
        this.lineDate = lineDate;
    }

    public Short getUp() {
        return up;
    }

    public void setUp(Short up) {
        this.up = up;
    }

    public Short getDown() {
        return down;
    }

    public void setDown(Short down) {
        this.down = down;
    }

    public Short getCount() {
        return count;
    }

    public void setCount(Short count) {
        this.count = count;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", lineDate=").append(lineDate);
        sb.append(", up=").append(up);
        sb.append(", down=").append(down);
        sb.append(", count=").append(count);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}