package com.steerinfo.dil.service;


import com.steerinfo.framework.controller.RESTfulResult;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmsshipTotalResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 08:55
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：TmsshipTotalResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmsshipTotalResultService{


    /**
     * 得到总实绩id
     * @param orderId
     * @return
     */
    BigDecimal selectTotalId(BigDecimal orderId);

    /**
     * 逻辑获取总实绩id
     * @param orderId
     * @return
     */
    BigDecimal getResultTotalId(BigDecimal orderId);


    /**
     * 得到 水路订单列表
     * @return
     */
    List<Map<String,Object>> getOrderList(Map<String,Object> mapVal);

    /**
     * 展示船只信息
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getCapacity(Map<String, Object> mapVal);

    int editPleaseResult(Map<String, Object> mapVal);

    List<Map<String, Object>> getAllPleaseResult(Map<String, Object> mapVal);

    Map<String, Object> getPleaseResult(BigDecimal resultId);

    int addPleaseResult(Map<String, Object> mapVal);

    BigDecimal getRealNumber(Map<String, Object> map);
}